function placementMap(x, y, r, g, b, a)
    mred, mgreen, mblue, _ = map:getPixel( x, y )
    texX = mred
    texY = mgreen
    alpha = mblue
    red, green, blue, _ = texture:getPixel(texX,texY)
    return red, green, blue, alpha
end

function love.load()
    map = love.image.newImageData("model3.png")
    render = love.image.newImageData(map:getWidth(),map:getHeight())
    texture = love.image.newImageData("texture2.png")
    render:mapPixel(placementMap)
    textured_image = love.graphics.newImage(render)
    textured_image:setFilter('nearest','nearest')
end

function love.draw()
    love.graphics.draw(textured_image,0,0)
    love.graphics.draw(textured_image,200,0,0,3,3)
end
